SystemOrganization addCategory: #GaruthaTinyBlog!

Object subclass: #TBPost
	instanceVariableNames: 'title text date category visible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GaruthaTinyBlog'!

!TBPost commentStamp: 'GabrielGermain 9/21/2018 00:23' prior: 0!
I'm a Tiny Blog Post!

!TBPost class methodsFor: 'initialize' stamp: 'GabrielGermain 9/21/2018 00:33'!
title: aTitle text: aText
	^ self new
		title: aTitle;
		text: aText;
		yourself! !

!TBPost class methodsFor: 'initialize' stamp: 'GabrielGermain 9/21/2018 00:35'!
title: aTitle text: aText category: aCategory
	^ (self title: aTitle text: aText)
		category: aCategory;
		yourself! !

!TBPost class methodsFor: 'definition' stamp: 'GabrielGermain 9/21/2018 00:30'!
unclassifiedTag
	^ 'Unclassified'! !

!TBPost methodsFor: 'action' stamp: 'GabrielGermain 9/21/2018 00:31'!
beVisible
	self visible: true! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:24'!
category
	^ category! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:24'!
category: anObject
	category := anObject! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
date
	^ date! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
date: anObject
	date := anObject! !

!TBPost methodsFor: 'initialize' stamp: 'GabrielGermain 9/21/2018 00:31'!
initialize
	self category: TBPost unclassifiedTag.
	self date: Date today.
	self notVisible! !

!TBPost methodsFor: 'action' stamp: 'GabrielGermain 9/21/2018 00:38'!
isUnclassified
	^ self category = TBPost unclassifiedTag! !

!TBPost methodsFor: 'action' stamp: 'GabrielGermain 9/21/2018 00:31'!
isVisible
	^ self visible! !

!TBPost methodsFor: 'action' stamp: 'GabrielGermain 9/21/2018 00:31'!
notVisible
	self visible: false! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:24'!
text
	^ text! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:24'!
text: anObject
	text := anObject! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
title
	^ title! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
title: anObject
	title := anObject! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
visible
	^ visible! !

!TBPost methodsFor: 'accessing' stamp: 'GabrielGermain 9/21/2018 00:25'!
visible: anObject
	visible := anObject! !
